MyEclipse Forums
This thread has been locked & this forum has been archived.
Please post new topics to Java EE Development (EJB, JSP, Struts, XDoclet, etc.)
View previous topic Printable version Log in to check your private messages View next topic
Author Message
manojshopping@yahoo.com
Post subject: UnsupportedClassVersionError - fatal error  PostPosted: Aug 30, 2010 - 04:04 PM
Registered Member
Registered Member


Joined: Mar 19, 2010
Posts: 12

After upgrading TO 8.6, NOT able to create or work with existing reports.
Always getting java.lang.UnsupportedClassVersionError: Bad version number in .class file.

This is happening when I tried to create a report with 1.6 JDK as well as 1.5 JDK and even for a report from scratch. I believe this issue has been reported already but no solutions yet.

Also tried to swich the compiler level of project as well as workspace between 1.5 and 1.6 but always throws same error.

Could you please let us know when would we expect a solution for this issue as this is a fatal error and not able to work on any reports.

If you have any workaround asap until permanent fix is available, would be very helpful.

Awaiting for your solution.

- Rags.
 
 View user's profile Send private message  
Reply with quote Back to top
support-joy
Post subject: RE: UnsupportedClassVersionError - fatal error  PostPosted: Sep 01, 2010 - 12:42 PM
Registered Member
Registered Member


Joined: Feb 03, 2009
Posts: 3442


_________________
Joy
MyEclipse Support
 
 View user's profile Send private message  
Reply with quote Back to top
manojshopping@yahoo.com
Post subject: RE: UnsupportedClassVersionError - fatal error  PostPosted: Sep 01, 2010 - 03:52 PM
Registered Member
Registered Member


Joined: Mar 19, 2010
Posts: 12

Hi

I beleive the above 2 postings talk about generic unsupportedclassversion error. As I explained in my first message, this situation happens while creating new birt report irrespective of JDK version you choose in your workspace.
This is not happening in 8.0 version of MyEclipse.

Please refer the following posting, as someone else also getting same error in 8.6 version of MyEclipse.
Hope your team is aware of this issue.

http://www.myeclipseide.com/PNphpBB2-viewtopic-t-26165.html

- Rags
 
 View user's profile Send private message  
Reply with quote Back to top
Support-Brian
Post subject: RE: UnsupportedClassVersionError - fatal error  PostPosted: Sep 02, 2010 - 01:07 PM
Moderator
Moderator


Joined: Aug 21, 2004
Posts: 2585

Rags,

The issue that we are aware of is a problem with servers running on JDK 1.5 instead of 1.6. To explain further - Create a report project in 8.5 or 8.6. Deploy it to any server. On starting the server, you will see "java.lang.UnsupportedClassVersionError: Bad version number in .class file." only if the server is running with JDK 1.5. If the server runs with JDK 1.6 (you can change this on the server's JDK preference page) then there are no issues. The workaround here would be to simply make sure you run your server with JDK 1.6. We are working on a solution that will allow you to use this project with JDK 1.5 as well.

I am not aware of any problems creating a reports project in 8.6. Could you please tell me exactly at what point you see this error and where you see it (error dialog, problems view, console)? Do you simply invoke the New Report Wizard, type in a project name, click finish and see this error?

_________________
Brian
MyEclipse Support
 
 View user's profile Send private message Visit poster's website  
Reply with quote Back to top
Support-Brian
Post subject: RE: UnsupportedClassVersionError - fatal error  PostPosted: Sep 03, 2010 - 07:48 AM
Moderator
Moderator


Joined: Aug 21, 2004
Posts: 2585

Rags,

A workaround for the issue reported in the other thread is here: http://www.myeclipseide.com/PNphpBB2-viewtopic-t-26220.html
I believe you have the same problem, do let us know if you still need assistance.

We appreciate your support, sorry for the inconvenience caused.

_________________
Brian
MyEclipse Support
 
 View user's profile Send private message Visit poster's website  
Reply with quote Back to top
Display posts from previous:     
Jump to:  
All times are GMT - 6 Hours
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.
View previous topic Printable version Log in to check your private messages View next topic
Powered by PNphpBB2 © 2003-2004 The PNphpBB Group
Credits